import { Hono, Context } from 'hono';
import { Feed } from 'feed';

const feed = new Hono<{ Variables: { feed: Feed }}>();

export async function getFeedFile(c: Context) {
  c.header('content-type', 'text/xml');
  c.body("");
}

feed.get('/rss.xml', getFeedFile);
export default feed;
